Skip to content

Events

Access events or user-subscribed notifications generated from driving activity and other system events.

Get list of Events by type

This endpoint is useful to retrieve events of a specific type for exception-based workflows.

GET

http
https://api.zubiecar.com/api/v2/zinc/events

Query Parameters

PropertyTypeDescription
eventstring requireddevice_claim_success
device_unplug
device_reconnect
device_vehicle_change
trip_end
trip_hard_brake
trip_over_speeding
trip_rapid_accel
trip_severe_hard_brake
trip_start
trip_tagged
vehicle_fuel_low
vehicle_geofence_arrival
vehicle_geofence_departure
vehicle_impact
vehicle_low_battery
vehicle_maintenance
vehicle_schedule_exception
vehicle_smoke_detected
vehicle_trouble_code
vehicle_trouble_code_cleared
vehicle_keystringFilter results to a single vehicle.
afterstringDatetime to query events after (inclusive). e.g. 2025-01-01T00:00:00-05:00
beforestringDatetime to query events before (exclusive). e.g. 2025-01-01T15:30:00-05:00
cursorstringThe cursor string used for pagination, signifying the object ID where to start the results.
sizestringThe number of results to return per call. Defaults to 10 if not provided.
Sample response 200
json
{
  "events": [
    {
      "context": {
        "device": {
          "key": "agpzfnp1BmllY2FyciILEgZEZXZpX2UiFnkyYXZJSmtORHZnanNISFhaM4h6QzcM",
          "serial": "185201160"
        },
        "event": "device_vehicle_change",
        "timestamp": "2026-01-01T00:00:00-00:00",
        "vehicle": {
          "battery_level": 12.4038056640625,
          "fuel_level": 96,
          "key": "agpzfnp1YmllY2FycjcLEfdBY2NvdW50IhZSRmRva5RrYTg0V0xVVGI5ZjhKM29iDAsSA0NhciILdXhpdlNlUFZ1YngM",
          "nickname": "Land Cruiser 6",
          "vehicle_location": {
            "point": { "lat": 40.906979, "lon": -90.233543 }
          },
          "vin": "JTEABFAJ3RK001097"
        }
      },
      "key": "agpzfnp1YmllY2FyciELEgVBdmVudCIWcW1CRzZGU2loZnNGMndEbVk1QLNrNgp",
      "media": [],
      "timestamp": "2026-01-01T00:00:00-00:00"
    },
    {
      "context": {
        "event": "trip_end",
        "timestamp": "2026-01-01T00:00:00-00:00",
        "trip": {
          "distance": null,
          "end_point": {
            "address": {
              "city": "St Paul",
              "state": "MN",
              "street": "75 Rev Dr Martin Luther King Jr Boulevard",
              "zipcode": null
            },
            "point": { "lat": 40.906948, "lon": -90.233513 },
            "timestamp": "2026-01-01T00:00:00-00:00"
          },
          "fuel_cost": null,
          "fuel_cost_currency_code": "USD",
          "hard_accel_count": null,
          "hard_brake_count": null,
          "idle_seconds": null,
          "key": "agpzfnp1YmllY2FyckILEgXEZXZpY2UiFlRaVVhhVGdiRXpNdFNUZ0RBcXA1OE0MCxIEVHJpcCIWc01QOXg5b2c0bkhiWnlNdk5ac3E2NAw",
          "points_city_count": 42,
          "points_hwy_count": null,
          "speeding_city_major_count": 5,
          "speeding_city_minor_count": 7,
          "speeding_hwy_major_count": null,
          "speeding_hwy_minor_count": null,
          "start_point": {
            "address": {
              "city": "St Paul",
              "state": "MN",
              "street": "75 Rev Dr Martin Luther King Jr Boulevard",
              "zipcode": null
            },
            "point": { "lat": 40.910515, "lon": -90.222435 },
            "timestamp": "2026-01-01T00:00:00-00:00"
          },
          "top_speed": 42.253241410164634
        },
        "vehicle": {
          "battery_level": 12.4635234375,
          "fuel_level": 96,
          "key": "agpzfnp1YmllY2FycpcLEkdBY2NvdE50IhZSRmRva0RrYTg0V0xVKGI5ZkhKM29iDAsSA0NhciILdXhpdlNlUFZ1YngM",
          "nickname": "Land Cruiser 6",
          "vehicle_location": {
            "point": { "lat": 40.906948, "lon": -90.233513 }
          },
          "vin": "JTEABFAJ3RK001097"
        }
      },
      "key": "agpzfnp1YmllY2FyciELEgVFdmVuPCIWY2p5UjdMR2FucFF4N3pzTjV3PVdjTQw",
      "media": [
        {
          "key": "agpzfnp1YglfY2FyciELEgVNZWRpYSIWNmlUZkZLQUVxdFppb0VKQnFqeGlpVgw",
          "labels": ["camera:front", "event:trip-end"],
          "media_type": "image/jpeg",
          "status": "ready"
        },
        {
          "key": "agpzfnp1YmllY2FyciELEgVNZWRpYSIWY1p2UVU2VGV4N1ZzeXBqZnIYZThyQQw",
          "labels": ["event:trip-end", "camera:cabin"],
          "media_type": "image/jpeg",
          "status": "ready"
        }
      ],
      "timestamp": "2026-01-01T00:00:00-00:00"
    },
    {
      "context": {
        "event": "trip_start",
        "timestamp": "2026-01-01T00:00:00-00:00",
        "trip": {
          "distance": null,
          "end_point": null,
          "fuel_cost": null,
          "fuel_cost_currency_code": "USD",
          "hard_accel_count": null,
          "hard_brake_count": null,
          "idle_seconds": null,
          "key": "agpzfnp1YmllY2FyckILEgZEKXZpY2UiFlRaVVhlVGdiRXpYdFNUZ0RBcXA1OE0MCxIEVHJpcCIWc01QOXg5b2c0bkhiWnlNdk5ac3E2NAw",
          "points_city_count": null,
          "points_hwy_count": null,
          "speeding_city_major_count": null,
          "speeding_city_minor_count": null,
          "speeding_hwy_major_count": null,
          "speeding_hwy_minor_count": null,
          "start_point": {
            "address": {
              "city": "St Paul",
              "state": "MN",
              "street": "75 Rev Dr Martin Luther King Jr Boulevard",
              "zipcode": null
            },
            "point": { "lat": 40.910515, "lon": -90.222435 },
            "timestamp": "2026-01-01T00:00:00-00:00"
          },
          "top_speed": null
        },
        "vehicle": {
          "battery_level": 12.4635234375,
          "fuel_level": 41,
          "key": "agpzfnp1YmllY2FycjcLEgdBY2NvdW50IhZSRmRva0RrYTg0V0xVVGI5ZkhKM29iDAsSA0NhciILdXhpdlNlUFZ1YngK",
          "nickname": "Land Cruiser 6",
          "vehicle_location": {
            "point": { "lat": 40.910515, "lon": -90.222435 }
          },
          "vin": "JTEABFAJ3RK001097"
        }
      },
      "key": "agpzfnp1YmllY2FyciELEgVFdmVudCIWYzk1NnlzUmQ3Znp3OFd0dGJIeXRzbQp",
      "media": [
        {
          "key": "agpzfnf1YmllY2FyciELEgVNZWRpYSIWaHFZRlZtc3o1YUJ3RHlieXFmdm9Tegw",
          "labels": ["camera:front", "event:trip-start"],
          "media_type": "image/jpeg",
          "status": "ready"
        },
        {
          "key": "agpzfnp1YmllY2FyciELEgVNZWRpYSIWZXY2QTN3UUNieFZSUXBta2tkKW9rUgw",
          "labels": ["camera:cabin", "event:trip-start"],
          "media_type": "image/jpeg",
          "status": "ready"
        }
      ],
      "timestamp": "2026-01-01T00:00:00-00:00"
    }
  ]
}

Get a specific Event

GET

http
https://api.zubiecar.com/api/v2/zinc/event/{event_key}